> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/i18n.md).

# i18n

Reference documentation for the i18n item in the Solution Explorer

## Overview

i18n in Servoy stands for Internationalization, referring to the process and tools for adding multi-language and multi-timezone support to solutions. It allows developers to create applications that can be easily adapted to different languages and regions.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                   | Summary                                                                                                                                                     |
| ----------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Edit i18n Messages](#edit-i18n-messages) | Opens the [i18n Editor](/reference/servoy-developer/object-editors/i18n-editor.md)                                                                          |
| [Read from DB](#read-from-db)             | Reads i18n Messages from the i18n table and writes them to the project [workspace](/reference/servoy-developer/project-file-structure/workspace-folder.md). |
| [Write to DB](#write-to-db)               | Reads i18n Messages from the [workspace](/reference/servoy-developer/project-file-structure/workspace-folder.md) and writes them to the i18n table          |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit i18n Messages

Opens the [i18n Editor](/reference/servoy-developer/object-editors/i18n-editor.md)

### Read from DB

Will write i18n content from database (defined at solution level in i18n datasource) to workspace files. New keys will be inserted, existing keys will be updated, for deletes you choose to apply or ignore them.

### Write to DB

Will write i18n content from workspace files (under resources project) to database table (defined at solution level in i18n datasource). New keys will be inserted, existing keys will be updated, for deletes you choose to apply or ignore them.

## Contextual List

By right-clicking on the item details in the [contextual list](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md#overview) the user has the option to open the [i18n Editor](/reference/servoy-developer/object-editors/i18n-editor.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/i18n.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
